diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
index 02c3dae91..0bb7319b8 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
@@ -22,16 +21,11 @@ public class BlockModelPumice<T extends BlockLogic> extends BlockModelStandard<T
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         this.lavaFlag = true;
-        boolean ob = renderBlocks.overbright;
-        renderBlocks.overbright = true;
-//        block.setBlockBounds(0.005, 0.005, 0.005, 0.995, 0.995, 0.995);
         boolean rendered = super.render(tessellator, worldSource, tilePos);
 
-        renderBlocks.overbright = ob;
         this.lavaFlag = false;
-//        block.setBlockBounds(0, 0, 0, 1, 1, 1);
         rendered |= super.render(tessellator, worldSource, tilePos);
         return rendered;
     }
@@ -42,13 +36,10 @@ public class BlockModelPumice<T extends BlockLogic> extends BlockModelStandard<T
 
         int color = getStandaloneTintColor(metadata);
         this.lavaFlag = true;
-        boolean ob = renderBlocks.overbright;
-        renderBlocks.overbright = true;
         final double depthFixOffset = 0.001d;
         AABBd bounds = new AABBd(depthFixOffset, depthFixOffset, depthFixOffset, 1 - depthFixOffset, 1 - depthFixOffset, 1 - depthFixOffset);
         renderBlockWithBounds(tessellator, bounds, metadata, LightmapHelper.getLightmapCoord(15, 15), color);
 
-        renderBlocks.overbright = ob;
         this.lavaFlag = false;
         bounds.setMin(0, 0, 0).setMax(1, 1, 1);
         renderBlockWithBounds(tessellator, bounds, metadata, lightmapCoord, color);
@@ -61,10 +52,4 @@ public class BlockModelPumice<T extends BlockLogic> extends BlockModelStandard<T
         if (this.lavaFlag) return TextureRegistry.getTexture("minecraft:block/lava_still");
         return super.getBlockTextureFromSideAndMetadata(side, data);
     }
-
-    @Override
-    public @Nullable IconCoordinate getBlockOverbrightTextureFromSideAndMeta(@NotNull Side side, int data) {
-        if (this.lavaFlag) return TextureRegistry.getTexture("minecraft:block/lava_still");
-        return super.getBlockOverbrightTextureFromSideAndMeta(side, data);
-    }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
index faf32094f..f1625b7fa 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
@@ -1,14 +1,12 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicRail;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.logic.RailDirection;
-import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.pos.TilePosc;
@@ -18,20 +16,14 @@ import org.jetbrains.annotations.Nullable;
 public class BlockModelRail<T extends BlockLogicRail> extends BlockModelStandard<T> {
     protected IconCoordinate railCurve = TextureRegistry.getTexture("minecraft:block/rail/turn");
     protected IconCoordinate powerActive = TextureRegistry.getTexture("minecraft:block/rail_powered/active");
-    protected IconCoordinate powerActiveOverlay = TextureRegistry.getTexture("minecraft:block/rail_powered/active_overlay");
-    protected IconCoordinate detectorActiveOverlay = TextureRegistry.getTexture("minecraft:block/rail_detector/active_overlay");
+    protected IconCoordinate detectorActive = TextureRegistry.getTexture("minecraft:block/rail_detector/active");
 
     public BlockModelRail(Block<T> block) {
         super(block);
     }
 
     @Override
-    public boolean hasOverbright() {
-        return true;
-    }
-
-    @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int meta = worldSource.getBlockData(tilePos);
         IconCoordinate icon = getBlockTextureFromSideAndMetadata(Side.BOTTOM, meta);
         if (renderBlocks.overrideBlockTexture != null) {
@@ -39,14 +31,7 @@ public class BlockModelRail<T extends BlockLogicRail> extends BlockModelStandard
         }
         RailDirection railDirection = this.block.getLogic().getRailDirection(worldSource, tilePos);
         float brightness = 1.0f;
-        if (renderBlocks.overbright) {
-            tessellator.setLightmapCoord1i(LightmapHelper.getOverbrightLightmapCoord(worldSource.getSavedLightValue(LightLayer.Sky, tilePos)));
-        } else {
-            tessellator.setLightmapCoord1i(this.block.getLightmapCoord(worldSource, tilePos));
-        }
-        if (renderBlocks.overbright) {
-            icon = getBlockOverbrightTexture(worldSource, tilePos, Side.BOTTOM);
-        }
+        tessellator.setLightmapCoord1i(this.block.getLightmapCoord(worldSource, tilePos));
         if (icon == null) {
             return false;
         }
@@ -121,18 +106,12 @@ public class BlockModelRail<T extends BlockLogicRail> extends BlockModelStandard
         return false;
     }
 
-    @Override
-    public @Nullable IconCoordinate getBlockOverbrightTexture(@NotNull WorldSource blockAccess, @NotNull TilePosc tilePos, @NotNull Side side) {
-        if (!this.block.getLogic().isPowered || (blockAccess.getBlockData(tilePos) & BlockLogicRail.MASK_POWERED) == 0)
-            return null;
-
-        return this.block == Blocks.RAIL_POWERED ? this.powerActiveOverlay : this.detectorActiveOverlay;
-    }
-
     @Override
     public @Nullable IconCoordinate getBlockTextureFromSideAndMetadata(@NotNull Side side, int data) {
         if (this.block == Blocks.RAIL_POWERED && (data & BlockLogicRail.MASK_POWERED) != 0) {
             return this.powerActive;
+        } else if (this.block == Blocks.RAIL_DETECTOR && (data & BlockLogicRail.MASK_POWERED) != 0) {
+            return this.detectorActive;
         } else if (!this.block.getLogic().isPowered && data >= 6) {
             return this.railCurve;
         }
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
index 8091cc88b..abb449b02 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicRepeater;
 import net.minecraft.core.block.Blocks;
@@ -19,7 +19,7 @@ public class BlockModelRepeater extends BlockModelStandard<BlockLogicRepeater> {
         super(block);
     }
 
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int meta = worldSource.getBlockData(tilePos);
         int direction = meta & BlockLogicRepeater.MASK_DIRECTION;
 
@@ -78,13 +78,8 @@ public class BlockModelRepeater extends BlockModelStandard<BlockLogicRepeater> {
                 break;
         }
         BlockModelTorch<?> modelTorch = this.block.getLogic().isRepeaterPowered ? modelTorchActive : modelTorchIdle;
-        if (renderBlocks.overbright && this.block.getLogic().isRepeaterPowered) {
-            modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d1, (double) tilePos.y() + d, (double) tilePos.z() + d2, 0.0D, 0.0D);
-            modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d3, (double) tilePos.y() + d, (double) tilePos.z() + d4, 0.0D, 0.0D);
-        } else if (!renderBlocks.overbright) {
-            modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d1, (double) tilePos.y() + d, (double) tilePos.z() + d2, 0.0D, 0.0D);
-            modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d3, (double) tilePos.y() + d, (double) tilePos.z() + d4, 0.0D, 0.0D);
-        }
+        modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d1, (double) tilePos.y() + d, (double) tilePos.z() + d2, 0.0D, 0.0D);
+        modelTorch.renderTorchAtAngle(tessellator, (double) tilePos.x() + d3, (double) tilePos.y() + d, (double) tilePos.z() + d4, 0.0D, 0.0D);
         return true;
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
index b81a888ad..12010d5cf 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicJarButterfly;
 import net.minecraft.core.block.BlockLogicLanternFirefly;
@@ -20,7 +20,7 @@ public class BlockModelRope<T extends BlockLogicRope>
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         Block<?> below = worldSource.getBlock(tilePos.down(new TilePos()));
         boolean hasFloor = below != null && below.canPlaceOnSurface();
         boolean hasBlockNegX = canConnect(worldSource, tilePos, Direction.WEST);
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
index 2b25f39d9..3e12d0fe1 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
 import net.minecraft.core.util.helper.Side;
@@ -15,7 +15,7 @@ public class BlockModelSeat<T extends BlockLogic> extends BlockModelStandard<T>
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         AABBd bounds = new AABBd(this.block.getBoundsFromState(worldSource, tilePos));
 
         renderBlocks.setRenderSide(Side.BOTTOM, false); // Set bottom face to not render
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
index 78a09a529..e78c9b378 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
@@ -16,9 +16,7 @@ public class BlockModelSlab<T extends BlockLogicSlab> extends BlockModelStandard
         super(block);
         this.parentModel = (BlockModelStandard<T>) BlockModelDispatcher.getInstance().getDispatch(this.block.getLogic().modelBlock);
         this.blockTextures.copy(this.parentModel.blockTextures);
-        this.overbrightTextures.copy(this.parentModel.overbrightTextures);
         this.retroBlockTextures.copy(this.parentModel.retroBlockTextures);
-        this.retroOverbrightTextures.copy(this.parentModel.retroOverbrightTextures);
         withCustomItemBounds(0, 0, 0, 1, 0.5d, 1);
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
index d6dc143ed..6071b8925 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
@@ -17,7 +17,7 @@ public class BlockModelSpikes<T extends BlockLogic> extends BlockModelStandard<T
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int metaData = worldSource.getBlockData(tilePos);
         IconCoordinate texture = getBlockTextureFromSideAndMetadata(Side.EAST, metaData);
         if (renderBlocks.overrideBlockTexture != null) {
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
index 3716fbe19..4ac11a6d5 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.block.Block;
@@ -24,9 +23,7 @@ public class BlockModelStairs<T extends BlockLogicStairs> extends BlockModelStan
         super(block);
         this.parentModel = (BlockModelStandard<T>) BlockModelDispatcher.getInstance().getDispatch(this.block.getLogic().modelBlock);
         this.blockTextures.copy(this.parentModel.blockTextures);
-        this.overbrightTextures.copy(this.parentModel.overbrightTextures);
         this.retroBlockTextures.copy(this.parentModel.retroBlockTextures);
-        this.retroOverbrightTextures.copy(this.parentModel.retroOverbrightTextures);
 
         setDisplayPos(DisplayPos.GUI, STAIRS_GUI);
         setDisplayPos(DisplayPos.HEAD, STAIRS_HEAD);
@@ -34,7 +31,7 @@ public class BlockModelStairs<T extends BlockLogicStairs> extends BlockModelStan
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int meta = worldSource.getBlockData(tilePos);
         int hRotation = meta & 0b0011;
         int vRotation = meta & 0b1000;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
index c53be41f5..6bccc7236 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
@@ -38,14 +37,10 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
     public int renderLayer = 0;
 
     public static final int BLOCK_TEXTURES = 0;
-    public static final int OVERBRIGHT_TEXTURES = 1;
     public static final int RETRO_BLOCK_TEXTURES = 2;
-    public static final int RETRO_OVERBRIGHT_TEXTURES = 3;
 
     protected final TextureLayer blockTextures = new TextureLayer().setAll(BLOCK_TEXTURE_UNASSIGNED);
-    protected final TextureLayer overbrightTextures = new TextureLayer();
     protected final TextureLayer retroBlockTextures = new TextureLayer();
-    protected final TextureLayer retroOverbrightTextures = new TextureLayer();
 
     protected @NotNull Map<@NotNull String, @NotNull DisplayPos> displayPosMap = new HashMap<>();
 
@@ -69,7 +64,7 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
     }
 
     @Override
-    public boolean renderWithOverrideTexture(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos, IconCoordinate textureIndex) {
+    public boolean renderWithOverrideTexture(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos, IconCoordinate textureIndex) {
         renderBlocks.overrideBlockTexture = textureIndex;
         boolean result = render(tessellator, worldSource, tilePos);
         renderBlocks.overrideBlockTexture = null;
@@ -77,18 +72,10 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         return renderBlocks.renderStandardBlock(tessellator, worldSource, this, this.block.getBoundsFromState(worldSource, tilePos), tilePos);
     }
 
-    @Override
-    public boolean renderOverbright(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
-        renderBlocks.overbright = true;
-        boolean result = render(tessellator, worldSource, tilePos);
-        renderBlocks.overbright = false;
-        return result;
-    }
-
     @Override
     public void renderStandalone(@NotNull TessellatorGeneral tessellator, int metadata, int lightmapCoord) {
         AABBdc bounds = getBlockBoundsForItemRender();
@@ -120,28 +107,6 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
         tessellator.setNormal(1.0f, 0.0f, 0.0f);
         renderBlocks.renderEastFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockTextureFromSideAndMetadata(Side.EAST, metadata));
 
-        if (hasOverbright()) {
-            tessellator.setLightmapCoord2i(15, 15);
-
-            tessellator.setNormal(0.0f, -1.0f, 0.0f);
-            renderBlocks.renderBottomFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.BOTTOM, metadata));
-
-            tessellator.setNormal(0.0f, 1.0f, 0.0f);
-            renderBlocks.renderTopFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.TOP, metadata));
-
-            tessellator.setNormal(0.0f, 0.0f, -1.0f);
-            renderBlocks.renderNorthFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.NORTH, metadata));
-
-            tessellator.setNormal(0.0f, 0.0f, 1.0f);
-            renderBlocks.renderSouthFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.SOUTH, metadata));
-
-            tessellator.setNormal(-1.0f, 0.0f, 0.0f);
-            renderBlocks.renderWestFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.WEST, metadata));
-
-            tessellator.setNormal(1.0f, 0.0f, 0.0f);
-            renderBlocks.renderEastFace(tessellator, bounds, 0.0, 0.0, 0.0, getBlockOverbrightTextureFromSideAndMeta(Side.EAST, metadata));
-
-        }
         tessellator.draw();
     }
 
@@ -169,15 +134,6 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
         return getBlockTextureFromSideAndMetadata(side, source.getBlockData(tilePos));
     }
 
-    @Deprecated
-    public final @Nullable IconCoordinate getBlockOverbrightTexture(@NotNull WorldSource source, int x, int y, int z, @NotNull Side side) {
-        return getBlockOverbrightTexture(source, new TilePos(x, y, z), side);
-    }
-
-    public @Nullable IconCoordinate getBlockOverbrightTexture(@NotNull WorldSource source, @NotNull TilePosc tilePos, @NotNull Side side) {
-        return getBlockOverbrightTextureFromSideAndMeta(side, source.getBlockData(tilePos));
-    }
-
     public int getStandaloneTintColor(int metadata) {
         if (renderBlocks.useInventoryTint) {
             return (BlockColorDispatcher.getInstance().getDispatch(this.block).getFallbackColor(metadata, 0) & 0xFFFFFF) | 0xFF000000;
@@ -185,18 +141,6 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
         return 0xFFFFFFFF;
     }
 
-    @Override
-    public boolean hasOverbright() {
-        return this.overbrightTextures.hasTexture();
-    }
-
-    public @Nullable IconCoordinate getBlockOverbrightTextureFromSideAndMeta(@NotNull Side side, int data) {
-        if (this.retroOverbrightTextures.hasTexture && isRetro()) {
-            return this.retroOverbrightTextures.get(side);
-        }
-        return this.overbrightTextures.get(side);
-    }
-
     public @Nullable IconCoordinate getBlockTextureFromSideAndMetadata(@NotNull Side side, int data) {
         if (this.retroBlockTextures.hasTexture && isRetro()) {
             return this.retroBlockTextures.get(side);
@@ -282,15 +226,9 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
             case BLOCK_TEXTURES:
                 this.blockTextures.set(coordinate, sides);
                 break;
-            case OVERBRIGHT_TEXTURES:
-                this.overbrightTextures.set(coordinate, sides);
-                break;
             case RETRO_BLOCK_TEXTURES:
                 this.retroBlockTextures.set(coordinate, sides);
                 break;
-            case RETRO_OVERBRIGHT_TEXTURES:
-                this.retroOverbrightTextures.set(coordinate, sides);
-                break;
         }
         return this;
     }
@@ -300,15 +238,9 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
             case BLOCK_TEXTURES:
                 this.blockTextures.set(texture, sides);
                 break;
-            case OVERBRIGHT_TEXTURES:
-                this.overbrightTextures.set(texture, sides);
-                break;
             case RETRO_BLOCK_TEXTURES:
                 this.retroBlockTextures.set(texture, sides);
                 break;
-            case RETRO_OVERBRIGHT_TEXTURES:
-                this.retroOverbrightTextures.set(texture, sides);
-                break;
         }
         return this;
     }
@@ -318,15 +250,9 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
             case BLOCK_TEXTURES:
                 this.blockTextures.setAll(coordinate);
                 break;
-            case OVERBRIGHT_TEXTURES:
-                this.overbrightTextures.setAll(coordinate);
-                break;
             case RETRO_BLOCK_TEXTURES:
                 this.retroBlockTextures.setAll(coordinate);
                 break;
-            case RETRO_OVERBRIGHT_TEXTURES:
-                this.retroOverbrightTextures.setAll(coordinate);
-                break;
         }
         return this;
     }
@@ -336,26 +262,13 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
             case BLOCK_TEXTURES:
                 this.blockTextures.setAll(texture);
                 break;
-            case OVERBRIGHT_TEXTURES:
-                this.overbrightTextures.setAll(texture);
-                break;
             case RETRO_BLOCK_TEXTURES:
                 this.retroBlockTextures.setAll(texture);
                 break;
-            case RETRO_OVERBRIGHT_TEXTURES:
-                this.retroOverbrightTextures.setAll(texture);
-                break;
         }
         return this;
     }
 
-
-    @Deprecated
-    public BlockModelStandard<T> withOverbrightTexture(String texture) {
-        this.overbrightTextures.setAll(texture);
-        return this;
-    }
-
     @Deprecated
     public BlockModelStandard<T> withTextures(String texture) {
         this.blockTextures.setAll(texture);
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
index 2d9079661..593d0c117 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
@@ -21,7 +20,7 @@ public class BlockModelStoneMossy<T extends BlockLogic> extends BlockModelStanda
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         AABBdc bounds = this.block.getBoundsFromState(worldSource, tilePos);
         renderBlocks.renderStandardBlock(tessellator, worldSource, this, bounds, tilePos, 1.0f, 1.0f, 1.0f);
         renderBlocks.overrideBlockTexture = this.mossOverlay;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
index 5f8ee000f..c4d0d5302 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
@@ -1,8 +1,7 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
-import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
 import net.minecraft.core.block.BlockLogicTorch;
@@ -17,7 +16,7 @@ public class BlockModelTorch<T extends BlockLogic> extends BlockModelStandard<T>
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         float brightness = 1.0f;
         tessellator.setLightmapCoord1i(this.block.getLightmapCoord(worldSource, tilePos));
         tessellator.setColorOpaque3f(brightness, brightness, brightness);
@@ -45,7 +44,7 @@ public class BlockModelTorch<T extends BlockLogic> extends BlockModelStandard<T>
         return true;
     }
 
-    public void renderTorchAtAngle(TessellatorTerrain tessellator, double x, double y, double z, double topOffsetX, double topOffsetZ) {
+    public void renderTorchAtAngle(@NotNull TessellatorGeneral tessellator, double x, double y, double z, double topOffsetX, double topOffsetZ) {
         IconCoordinate texture = getBlockTextureFromSideAndMetadata(Side.BOTTOM, 0);
         if (renderBlocks.overrideBlockTexture != null) {
             texture = renderBlocks.overrideBlockTexture;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
index 04d44863e..13dbccce2 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.block.Block;
@@ -22,7 +21,7 @@ public class BlockModelTrapDoor<T extends BlockLogic> extends BlockModelStandard
     }
 
     @Override
-    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int metadata = worldSource.getBlockData(tilePos);
         boolean isUp = BlockLogicTrapDoor.isTrapdoorOpen(metadata);
 
